.zg-qty-quantity__container {
  display: flex;
  -webkit-box-pack: justify;
  justify-content: space-between; /* PC端左右分散 */
  -webkit-box-align: center;
  align-items: center;
}

.zg-qty-input {
  height: 44px;
  position: relative;
  display: flex;
  justify-content: space-between;
  align-items: center;
  border: 1px solid #3C3C3C;
}

theme-input-number {
  width: auto;
}

.zg-qty-btn {
  width: 30px;
  height: 100%;
  color: #000;
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 18px;
  -webkit-font-smoothing: antialiased;
}

.zg-qty-btn img{
  width: 1.3625rem !important;
  height: 1.3625rem !important;
}

.zg-qty-btn:disabled {
  cursor: not-allowed;
  opacity: 0.4;
}

.zg-qty-input input[type="number"] {
  width: 82px;
  height: 36px;
  text-align: center;
  border: none;
  outline: none;
  font-size: 18px;
  -moz-appearance: textfield;
}

.zg-qty-input input::-webkit-outer-spin-button,
.zg-qty-input input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* 移动端：小于768px */
@media (max-width: 768px) {
  .zg-qty-quantity__container {
    justify-content: center; /* 居中显示 */
    gap: 10px; /* 可选，按钮之间增加间距 */
  }
}

@media (max-width: 768px) {
  .zg-qty-btn { 
    padding-bottom: .1rem;
    padding-left: 0;
  }
}

